> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all WhatsApp template

> Lists WhatsApp Templates. You can search with the `name` and `status` fields using the `?seach=my-template-name` query parameter.



## OpenAPI

````yaml get /api/channels/whatsapp/template
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/channels/whatsapp/template:
    get:
      tags:
        - WhatsApp
      summary: List WhatsApp Templates
      description: >-
        Lists WhatsApp Templates. You can search with the `name` and `status`
        fields using the `?seach=my-template-name` query parameter.
      operationId: List WhatsApp Templates
      parameters:
        - in: query
          name: category
          schema:
            type: string
            enum:
              - ACCOUNT_UPDATE
              - ALERT_UPDATE
              - APPOINTMENT_UPDATE
              - AUTHENTICATION
              - AUTO_REPLY
              - ISSUE_RESOLUTION
              - MARKETING
              - OTP
              - PAYMENT_UPDATE
              - PERSONAL_FINANCE_UPDATE
              - RESERVATION_UPDATE
              - SHIPPING_UPDATE
              - TICKET_UPDATE
              - TRANSACTIONAL
              - TRANSPORTATION_UPDATE
              - UTILITY
        - in: query
          name: category__in
          schema:
            type: array
            items:
              type: string
          description: Multiple values may be separated by commas.
          explode: false
          style: form
        - in: query
          name: channel
          schema:
            type: integer
        - in: query
          name: channel__in
          schema:
            type: array
            items:
              type: integer
          description: Multiple values may be separated by commas.
          explode: false
          style: form
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: status
          schema:
            type: string
            enum:
              - approved
              - deleted
              - disabled
              - draft
              - in_appeal
              - pending
              - pending_deletion
              - rejected
              - submitted
        - in: query
          name: status__in
          schema:
            type: array
            items:
              type: string
          description: Multiple values may be separated by commas.
          explode: false
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedWhatsAppTemplateSimpleReadList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedWhatsAppTemplateSimpleReadList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateSimpleRead'
    WhatsAppTemplateSimpleRead:
      type: object
      properties:
        name:
          type: string
          maxLength: 120
        language:
          $ref: '#/components/schemas/LanguageEnum'
        components:
          type: object
          additionalProperties: {}
          nullable: true
        id:
          type: string
          format: uuid
          readOnly: true
          description: The UUID of the WhatsApp Template to be sent.
        category:
          $ref: '#/components/schemas/CategoryEnum'
        status:
          $ref: '#/components/schemas/WhatsAppTemplateStatusEnum'
        rejected_reason:
          type: string
          nullable: true
        is_deleted:
          type: boolean
        channel:
          allOf:
            - $ref: '#/components/schemas/SimpleChannel'
          description: The ID of the WhatsApp Channel that the WhatsApp Template is for.
      required:
        - category
        - channel
        - id
        - language
        - name
    LanguageEnum:
      enum:
        - af
        - sq
        - ar
        - az
        - bn
        - bg
        - ca
        - zh_CN
        - zh_HK
        - zh_TW
        - hr
        - cs
        - da
        - nl
        - en
        - en_GB
        - en_US
        - et
        - fil
        - fi
        - fr
        - ka
        - de
        - el
        - gu
        - ha
        - he
        - hi
        - hu
        - id
        - ga
        - it
        - ja
        - kn
        - kk
        - rw_RW
        - ko
        - ky_KG
        - lo
        - lv
        - lt
        - mk
        - ms
        - ml
        - mr
        - nb
        - fa
        - pl
        - pt_BR
        - pt_PT
        - pa
        - ro
        - ru
        - sr
        - sk
        - sl
        - es
        - es_AR
        - es_ES
        - es_MX
        - sw
        - sv
        - ta
        - te
        - th
        - tr
        - uk
        - ur
        - uz
        - vi
        - zu
      type: string
    CategoryEnum:
      enum:
        - ACCOUNT_UPDATE
        - PAYMENT_UPDATE
        - PERSONAL_FINANCE_UPDATE
        - SHIPPING_UPDATE
        - RESERVATION_UPDATE
        - ISSUE_RESOLUTION
        - APPOINTMENT_UPDATE
        - TRANSPORTATION_UPDATE
        - TICKET_UPDATE
        - ALERT_UPDATE
        - AUTO_REPLY
        - TRANSACTIONAL
        - MARKETING
        - OTP
        - AUTHENTICATION
        - UTILITY
      type: string
    WhatsAppTemplateStatusEnum:
      enum:
        - draft
        - approved
        - in_appeal
        - pending
        - rejected
        - pending_deletion
        - deleted
        - disabled
        - submitted
      type: string
    SimpleChannel:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        channel_type:
          $ref: '#/components/schemas/ChannelTypeEnum'
        name:
          type: string
          maxLength: 100
        channel_id:
          type: string
          maxLength: 100
        status:
          $ref: '#/components/schemas/ChannelStatusEnum'
        created_on:
          type: string
          format: date-time
          title: Creado el
        channel_provider:
          $ref: '#/components/schemas/ChannelProviderEnum'
        is_sandbox:
          type: boolean
      required:
        - channel_id
        - id
    ChannelTypeEnum:
      enum:
        - WHATSAPP
        - EMAIL
        - INSTAGRAM
        - FB_MESSENGER
        - TELEGRAM
        - SMS
        - VOICE
      type: string
    ChannelStatusEnum:
      enum:
        - NEW
        - ACTIVE
        - INACTIVE
      type: string
    ChannelProviderEnum:
      enum:
        - META_CLOUD_API
        - TECH_PROVIDER_CLOUD_API
        - D360_CLOUD_API
        - 360DIALOG
      type: string
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````